<template>
  <div>
    <el-dialog
      v-loading="loading"
      :show-close="false"
      :close-on-click-modal="false"
      :visible.sync="isShow"
      :title="this.curObj && this.curObj.id ? '编辑置业' : '添加置业'"
      :fullscreen="false"
      width="700px"
      custom-class="xl-dialog"
      center
    >
      <base-form ref="ruleForm" class="lib-edit" :data="formData" :is-inline="false" label-width="110px">
        <div slot="footer">
          <el-button class="xl-form-btn t2" @click="close">关 闭</el-button>
          <el-button class="xl-form-btn t1" @click="close('confirm')">确定</el-button>
        </div>
      </base-form>
    </el-dialog>
  </div>
</template>
<script>
export default {
  components: {},
  mixins: [...mixins],
  props: {
    isShow: Boolean,
    curObj: Object
  },
  inject: ['parentData'],
  data() {
    return {
      formData: [],
      loading: true,
      cObj: {},
      isShowMap: false
    }
  },
  watch: {
    isShow: function(val) {
      if (val) {
        this.getDef()
      }
    },
  },
  methods: {
    getDef() {
      const params = { ...this.curObj }
      this.formData = [
        { label: '置业经理', key: 'sale_name', rules: 1 },
        { label: '头像', key: 'sale_avatar', type: 'uploads', rules: 1 },
        { label: '联系电话', key: 'sale_phone', class: 'c-2', rules: 1 },
        { label: '销售标签', key: 'custom_tag', class: 'c-2', rules: 1 },
        { label: '分类', key: 'sale_type', class: 'c-2', rules: 1, type: 'select', options: this.$dictData.sale_type },
        { label: '门店', key: 'store_type', class: 'c-2', type: 'select', options: this.$dictData.store_type },
        { label: '排班情况', key: 'recept_status', class: 'c-2', type: 'select', options: this.$dictData.recept_status },
        { label: '排序', key: 'sort', class: 'c-2' },
      ]
      this.setDefaultValue(params)
    },
    close(str) {
      if (str === 'confirm') {
        this.$refs['ruleForm'].$refs['baseForm'].validate((valid) => {
          if (valid) {
            const oldform = this.$refs.ruleForm.baseForm
            let newForm = { ...oldform }
            let apiStr = 'admsaleuseredit'
            if (this.curObj.id) {
              apiStr = 'admsaleuseredit'
              newForm.id = this.curObj.id
            }
            this.$api.user[apiStr](newForm).then(data => {
              this.$msgs(this.curObj.id ? '编辑成功' : '新增成功')
              this.$emit('close', newForm)
            })
          }
        })
      } else {
        this.$emit('close')
        this.setDefaultValue()
      }
    },
  }
}
</script>
<style lang="scss" scoped>
@import "../../../../styles/libEdit.scss";
.lib-edit {
  padding-top: 0;
  width:100%;
  ::v-deep .el-form-item {
    margin-bottom: 10px;
  }
  ::v-deep .el-date-editor.el-input {
    width: 100%;
  }
}
</style>
